@import "../../vendor/bootstrap/4.3.1/bootstrap.less";
@import (less) "../../vendor/material-design-icon/3.8.95/css/materialdesignicons.css";
@import (less) "http://localhost/core/asset/css/plugins/dataTables.bootstrap4.min.css";
@import (less) "http://localhost/core/asset/css/plugins/select2.min.css";

@import (less) "http://localhost/core/asset/css/less/variable.less";
@import (less) "http://localhost/core/asset/css/less/core.less";
@import "../../vendor/bootstrap/tags/0.8.0/bootstrap-tagsinput.min.css";
@import "../../vendor/bootstrap/bootstrap-datepicker/1.9.0/bootstrap-datepicker.min.css";

@import "./app-variable.less";
@import "./plugin-override.less";
@import "https://cdnjs.cloudflare.com/ajax/libs/overlayscrollbars/1.9.1/css/OverlayScrollbars.min.css";
@import "https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css";

@font-face {
	font-family: 'Nunito Sans';
	src: url('https://fonts.googleapis.com/css?family=Nunito+Sans&display=swap');
	font-weight: 500;
	font-style: normal;
}

/* APPFRAMEWORK */
.table {
	&.table-sm {
		td, th {
			font-size: .9em;
		}
	}
	thead {
		background-color: #ffffff;
	}
}
.badge {
	&.badge-lg {
		font-size: 12px;
	}
	&.badge-warning {
		color: #fff
	}
}
.form-group-sm * {
	font-size: 13px !important;
}
h5 {
	font-size: 15.32px;
}
h6 {
	font-size: 14px;
	line-height: 24px;
}
.ea-htmlbody {
	background: @light;
	font-family: 'Nunito Sans', sans-serif;
}
.ea-body {
	padding-top: 40px;
	&.toggled {
		.ea-sidepanel {
			width: 0px;
		}
		.ea-content {
			margin-left: 0px;
		}
	}
	.ea-content {
		margin-left: 240px;
		@media screen and (max-width:575px) {
			margin-left: 0px;
		}
	}
}

.ea-header {
	padding: 6.4px;
	height: 40px;
	background: @darkBlue;
	flex-flow: row nowrap;
    justify-content: flex-start;
	&.toggled {
		.ea-brand {
			width: 0px;
		}
		.ea-brand-logo {
			.transform(rotate(-30deg));
		}
	}
	&:not(.toggled) {
		/** Navbar - Button Toggle Left Menu */
		.navbar-nav:nth-child(2) {
			margin-right: auto;
		}
		/** Navbar - Userbox & Alertbox */
		.navbar-nav:nth-child(3) {
			@media screen and (max-width:575px) {
				display:none;
			}
		}
	}
	.navbar-nav {
		flex-direction: row;
		.ea-userbox {
			position: absolute;
		}
	}
}

.ea-brand {
	background-color: transparent;
	font-family: 'Nunito Sans', sans-serif;
	height: 40px;
	width: 240px;
	text-align: left;
	&-logo {
		margin-top: 8px;
		height: 20px;
		width: 20px;
		.transition-delay(.3s);
		.transform-origin(50% 50%);
		.transition-duration(.5s);
	}
	&-content,
	&-logowrap,
	&-name {
		margin-left: 6px !important;
		height: 40px;
		color: @eaWhite;
		line-height: 40px;
		font-size: 1.1rem;
		@media screen and (max-width:575px) {
			display: inline;
			text-align: center;
		}
	}
}
.ea-navbar {
	.ea-navbar-heading {
		font-family: 'Nunito Sans', sans-serif;
		font-weight: 500;
		line-height: 1.1;
		color: @lightGrey;
		min-width: 100%;
		padding-top: 8px 0;
		margin: 6.4px 16px;
		font-size: 10px;
		text-transform: uppercase;
		letter-spacing: .04em;
	}
	.ea-navbar-nav {
		flex-direction: column;
		padding-left: 0;
		min-width: 100%;
		margin-bottom: 8px;
		display: flex;
		list-style: none;
	}
	.nav-item {
		.nav-link {
			font-family: 'Nunito Sans', sans-serif;
			padding: 8px 24px;
			display: flex;
			align-items: center;
			color: @black;
			font-size: 14px;
			position: relative;
			&:hover {
				text-decoration: none;
				background: @light;
			}
			
			&.active {
				background: @light;
				&:before {
					content: "";
					position: absolute;
					left: 0;
					top: 8px;
					bottom: 8px;
					border-left: 3px solid @darkBlue;
				}
			}
			
			&[data-toogle=collapse]:after {
				display: block;
				font-family: "Material Design Icons";
				content:"\F140"; // mdi-chevron-down
				margin-left: auto;
				transition: transform .2s;
			}
			&[data-toogle=collapse][aria-expanded=true] {
				background: @light;
			}
			&[data-toogle=collapse][aria-expanded=true]:after {
				transform: rotate(-180deg);
			}
			i {
				display: inline-block;
				min-width: 28px;
				font-size: 17px;
				line-height: 22.5px;
			}
		}
		ul.nav-sm {
			.nav-item{
				width: 100%;
				.nav-link {
					&:hover, &.active {
						background: none;
						color: @eaDarkGrey;
					}
					padding-left: 52px;
					font-size: 13px;
				}
			}
		}
	}
}
.fade {
	transition: opacity .15s linear;
	&:not(.show) {
		opacity: 0
	}
}
.collapse:not(.show) {
    display: none
}
.collapsing {
    position: relative;
    height: 0;
    overflow: hidden;
    transition: height .35s ease
}

hr.ea-navbar-divider {
	border-top: 1px solid @lightGrey;
	margin: 0 1rem;
	height: 0;
    overflow: visible;
}
.ea-nav-item {
	padding-top: 5px;
}
.navbar-nav>li>a {
	@media screen and (max-width: 479px) {
		padding-top: 5px !important;
	}
}
.ea-header .navbar-nav,
.ea-nav-item,
.ea-toggler {
	line-height: 40px;
}

.setMainFonts {
	font-family: 'Nunito Sans', sans-serif;
}

.ea-sidepanel {
	width: 240px;
	top: 40px;
}
.ea-sidemenu {
	margin-top: 20px;
	&-item,
	&-item-text {
		height: 36px;
		line-height: 36px;
	}
	&-item-icon {
		top: 10px;
	}
}

.ea-sideuser {
	padding-top: 15px;
	margin-bottom: 16px;
    .profile-picture {
        width: 80px;
        height: 80px;
        margin: 10px auto 20px;
        float: none;
        text-align: center;
        border-radius: 50%;
		overflow: hidden;
		box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
        img {
            width: 100%;
            vertical-align: middle;
			border: 0;
        }
	}
	.side-username {
		line-height: normal;
		font-family: 'Nunito Sans', sans-serif;
	}
	small {
		font-size: 12px;
	}
}
.text-muted {
    color: @eaMuted!important;
}
.wrapper {
	-webkit-box-align: stretch;
    align-items: stretch;
    overflow: hidden;
    width: 100%;
    position: relative;
}
.content {
	margin-top: 20px;
	padding: 0 8px;
	@media (min-width: 992px) {
		padding: 0 24px;
	}
	.container-fluid {
		width: 100%;
		padding-right: 12px;
		padding-left: 12px;
		margin-right: auto;
		margin-left: auto;
		.header {
			position: relative;
			margin-bottom: 20px;
			.header-title {
				font-family: 'Nunito Sans', sans-serif;
				font-size: 18px;
				font-weight: bold;
				color: @black;
			}
		}
		nav .breadcrumb {
			font-size: 14px;
			margin-top: 5px;
			display: flex;
			flex-wrap: wrap;
			padding: 0;
			margin-bottom: 16px;
			list-style: none;
			background-color: transparent;
			border-radius: 3.2px;
			.breadcrumb-item {
				a {
					color: @grey;
					font-weight: 400;
					text-decoration: none;
					background-color: transparent;
				}
				&.active {
					color: @black;
					font-weight: 500;
				}
				&+.breadcrumb-item {
					padding-left: 8px;
					&::before {
						content: "";
						font: normal normal normal 24px/1 "Material Design Icons";
						font-size: 5px;
						vertical-align: middle;
					}
				}
			}
		}
	}
}
.card {
	position: relative;
	box-shadow: 0 0 2rem 0 rgba(0, 0, 0, 0.05);
	margin-bottom: 24px;
	position: relative;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 0 solid rgba(0,0,0,.125);
	border-radius: 3.2px;
	&-error {
		width: 100%;
	}
	&.card-right-abs {
		position: absolute;
		right: 0px;
		z-index: 999;
		border-radius: 5px;
		width: 95%;
		max-width: 450px;
		margin-right: 1.5rem;
		@media screen and (max-width:575px) {
			right: auto;
			margin-left: auto;
			margin-right: auto;
		}
		&-sm {
			@media screen and (max-width:575px) {
				max-width: 90%;
			}
			max-width: 320px;
			height: auto;
		}
	}
	.card-header {
		padding: 12px 20px;
		margin-bottom: 0;
		background: transparent;
		border-bottom: 0 solid rgba(0,0,0,.125);
		.card-title {
			font-family: 'Nunito Sans', sans-serif;
			font-size: 16px;
			color: @black;
			margin-bottom: 12px;
			font-weight: 600;
		}
		.card-subtitle {
			font-size: 14px;
			font-weight: 400;
			margin-bottom: 0;
			margin-top: -6px;
		}
	}
	.card-body {
		-webkit-box-flex: 1;
		flex: 1 1 auto;
		padding: 20px;
		padding-top: 12px;
	}
	&.card-table {
		.card-body {
			padding-left: 10px;
			padding-right: 10px;
		}
	}
	&.card-sm {
		box-shadow: 0 0 0.3rem 0 rgba(0,0,0,0.05);
		.card-header {
			padding: 12px;
			.card-title, .card-subtitle {
				font-size: 14px;
			}
		}
	}
}

.ea-custom {
	&-checkbox {
		color: @eaMuted;
		text-align: left;
		display: block;
		position: relative;
		padding-left: 30px;
		cursor: pointer;
		-webkit-touch-callout: none;
		-webkit-user-select: none;
		-khtml-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
		input {
			position: absolute;
			z-index: -1;
			opacity: 0;
			box-sizing: border-box;
			&:checked ~ span {
				&:after {
					display: block;
				}
			}
		}
		span {
			border-radius: 3px;
			position: absolute;
			left: 0;
			height: 18px;
			width: 18px;
			border: 1px solid #bfc7d7;
			&:after {
				border: 1px solid #bfc7d7;
				content: '';
				position: absolute;
				display: none;
				top: 50%;
				left: 50%;
				margin-left: -2px;
				margin-top: -6px;
				width: 5px;
				height: 10px;
				border-width: 0 2px 2px 0!important;
				-webkit-transform: rotate(45deg);
				transform: rotate(45deg);
			}
		}
	}
}
.scrollme {
	max-height: 100%
}
.personal-picture {
	width: 90%;
	height: 90%;
	max-width: 175px;
	max-height: 175px;
}
.canvas-sm {
	max-width: 400px;
	margin-left: auto;
	margin-right: auto;
}

.card-view-mcu > .card-body {
	height: 73vh;
	@media screen and (max-width:575px) {
		height: auto;
	}
	.nav-view-mcu {
		padding: 0px;
		overflow-y: auto;
		max-width: 300px;
		@media screen and (max-width:575px) {
			display: block!Important;
			min-width: 100%;
			max-height: 75px;
			overflow-x: scroll;
			overflow-y: hidden;
			white-space: nowrap;
			.nav-item {
				display: inline-block;
			}
		}
		.nav-item {
			width: 100%;
			@media screen and (max-width:575px) {
				width: auto;
			}
			.nav-link {
				display: block;
				padding: 5px 5px;
				-webkit-touch-callout: none;
				-webkit-user-select: none;
				-khtml-user-select: none;
				-moz-user-select: none;
				-ms-user-select: none;
				user-select: none;
				.icon-box {
					i:before {
						padding: 5px;
						color: @black;
						font-size: 30px;
					}
				}
				.title-box {
					padding-left: 10px;
					.nav-title {
						font-family: 'CerebriSansBook', Tahoma, Geneva, Verdana, sans-serif;
						font-size: 12px;
						color: @black;
						margin-bottom: 8px;
						font-weight: 600;
					}
					.nav-subtitle {
						font-family: 'CerebriSansBook', Tahoma, Geneva, Verdana, sans-serif;
						font-size: 12px;
						font-weight: 400;
						margin-bottom: 0;
						margin-top: -6px;
					}
				}
				&.active {
					background: #F4F6F9;
					&:before {
						border:0px;
					}
					.icon-box i:before {
						color: #064475;
					}
				}
				&:hover {
					cursor: pointer;
					color: #6e84a3;
				}
			}
			.photo-box {
				padding-top: 10px;
				img {
					width: 80px;
					height: 80px;
					border: 3px solid @light;
				}
			}
			.personal-box * {
				font-size: 12px;
			}
		}
	}
	.detail-view-mcu {
		overflow-y: auto;
	}
}